Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 622510

Summary: dev-util/source-highlight: does not compile with gcc6
Product: Gentoo Linux Reporter: fiesh
Component: Current packagesAssignee: Tiziano Müller <dev-zero>
Status: RESOLVED INVALID    
Severity: normal CC: jstein, plevine457
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://savannah.gnu.org/bugs/?48053
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 582084    

Description fiesh 2017-06-23 10:47:36 UTC
The above link contains a patch to fix this issue.

Reproducible: Always
Comment 1 Peter Levine 2017-07-03 04:56:31 UTC
(In reply to fiesh from comment #0)
> The above link contains a patch to fix this issue.
> 
> Reproducible: Always

That was my patch but the bug was already fixed upstream with commit http://git.savannah.gnu.org/cgit/src-highlite.git/commit/configure.ac?id=fa34f435776a40b26b18d1efb697d6441a076f51, included in source-highlight-3.1.8 available in tree.
Comment 2 fiesh 2017-07-03 12:52:24 UTC
Sorry, I could have sworn I tried emerging 3.1.8 and the same error came -- which clearly isn't the case.